# General
alias ll="ls -lAFh --color"
alias duh="du -hs * | sort -rh"
alias dedup="awk '!visited[$0]++'"
alias dfh="df -h | grep -v '/var/lib/docker\|/snap/\|tmpfs'"
alias ,ssh-agent-forwarding="eval \`ssh-agent\` && ssh-add ~/.ssh/id_rsa"

# Git
alias ga="git add -u; git add .; git status -sb"
alias gb="git branch -v"
alias gc="git ci --allow-empty -m"
alias gd="git diff"
alias gdc="git diff --cached"
alias gl="git log --graph --abbrev-commit --decorate --date=relative --format=format:'%C(bold blue)%h%C(reset) %C(bold
green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all"
alias gp="git push"
alias gs="git status -sb"
alias gu="git up"
alias gcl="git co -"
alias gml="git merge - --no-edit"

# Ruby
alias bd="bundle install --jobs=$(getconf _NPROCESSORS_ONLN)"
alias bdc="bundle config set path 'vendor/bundle'"
alias b="bundle exec"
alias br="bundle exec rails"

# Go
alias goi="go install ./..."
alias gg='rg -g "*.go"'

# Rust
alias cr="cargo run --quiet --"
